APL+WIN 11.1.03 version not supported?

General discussions related to APLNext's APLNextSupervisor product.

APL+WIN 11.1.03 version not supported?

Postby justinpursaga » February 24th, 2012, 11:08 am

I just installed the 11.1.03 APL+WIN Update and am getting the following error when I try to start the ActiveX Server:

⎕WI ERROR: APLNext.Supervisor exception 80131600 APL+Win version not supported: 11.1.03 Jan 5 2012 14:05:58 Win/32

Please advise.

Thanks,

Justin
justinpursaga
 

Postby Tech Support » March 1st, 2012, 11:22 am

Hi Justin,

We're not aware of any issue with starting the APLNextSupervisor with APL+Win v11.1.03. So if you've already managed to solve the problem on your own great! Please share how you solved it. Otherwise, lets proceed in troubleshooting this problem with you providing the exact APL statement that is giving the error message and the operating system you're using.
Tech Support
 
Posts: 1133
Joined: February 10th, 2007, 7:33 am
Location: Rockville, MD

Postby justinpursaga » March 1st, 2012, 12:51 pm

⎕WI ERROR: APLNext.Supervisor exception 80131600 APL+Win version not supported: 11.1.03 Jan 5 2012 14:05:58 Win/32
ConfigMultiCore[28] junkâ†
justinpursaga
 

Postby Tech Support » March 1st, 2012, 1:06 pm

Thanks for your response. It was initially believed your problem was simply in the creation of the control but you've now made it clear it is in the XStart method. We will try this here and report back the results.
Tech Support
 
Posts: 1133
Joined: February 10th, 2007, 7:33 am
Location: Rockville, MD

Postby Tech Support » March 1st, 2012, 1:21 pm

We've now reproduced the same problem here with the XStart method and have informed the developers of problem. We'll post again with an ETA on a fix for this problem.

Thanks,
Tech Support
 
Posts: 1133
Joined: February 10th, 2007, 7:33 am
Location: Rockville, MD

Postby justinpursaga » March 1st, 2012, 5:51 pm

We also tried running the same syntax with APLNext Supervisor in conjunction with APL+WIN 10 (what we were using prior to upgrading to APL+WIN 11.1)

This produced the same error even though we were using APL+WIN 10.

Also, the APLNext folder is stored in the "Program Files x86" folder and not the "Program Files" folder. Don't know if this is causing the probleml, as APLWIN11 folder and APLWIN10 folder are directly on the C drive.

Justin
justinpursaga
 

Postby Tech Support » March 1st, 2012, 9:00 pm

Recall that the APLNextSupervisor is linked to the APL+Win version that is registered as a COM server. So in your recent test, if version 11.1 was still registered, then you'd get the same error. You simply need to register the aplw.exe in the version 10 folder. To register, execute aplw.exe /regserver in the DOS window. This will allow you temporarily work around the problem.
Tech Support
 
Posts: 1133
Joined: February 10th, 2007, 7:33 am
Location: Rockville, MD

Postby justinpursaga » March 2nd, 2012, 11:39 am

I am certainly not an expert in DOS commands:

We are using Windows 7.

Can you please direct me through the click by click process of accessing the DOS prompt that all the key strokes required to register the aplw.exe file as COM server?

I tried typing aplw.exe\regserver and DOS returned the following error:
"The system cannot find the file specified"

Thanks,

Justin
justinpursaga
 

Postby Tech Support » March 2nd, 2012, 11:53 am

Start by clicking the Windows Start button then the "Run..." menu item. In the field next to Open, type cmd.exe and press Enter. This will open a DOS window. In the DOS window, type cd c:\aplwin10 and press Enter. The prompt should now read c:\aplwin10. If so, to register APL+Win, type aplw.exe /regserver and press Enter. This is a silent registration process so no confirmation will appear. Now you can proceed to use the APLNextSupervisor.
Tech Support
 
Posts: 1133
Joined: February 10th, 2007, 7:33 am
Location: Rockville, MD

Postby justinpursaga » March 2nd, 2012, 7:11 pm

On some computers we only have version 11.1.03

What are we to do in this case?

Justin
justinpursaga
 

Postby Tech Support » March 5th, 2012, 3:39 pm

This will be a moot point when the installer for APLNextSupervisor that works with version 11 is released tomorrow. You'll be notified when it is available for download.
Tech Support
 
Posts: 1133
Joined: February 10th, 2007, 7:33 am
Location: Rockville, MD

Postby justinpursaga » March 5th, 2012, 11:45 pm

Ok great!
Thanks.

Justin
justinpursaga
 

Postby Tech Support » March 6th, 2012, 11:09 am

The latest installer, APLNextSupervisorSetup v0.9.37, is now available for download at Software Downloads.
Tech Support
 
Posts: 1133
Joined: February 10th, 2007, 7:33 am
Location: Rockville, MD


Return to APLNextSupervisor

Who is online

Users browsing this forum: No registered users and 1 guest

cron